Index: src/edu/ucsb/nceas/metacat/DBQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 4080)
@@ -48,8 +48,12 @@
 import org.xml.sax.InputSource;
 import org.w3c.dom.ls.*;
 
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.LDAPUtil;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.morpho.datapackage.Triple;
 import edu.ucsb.nceas.morpho.datapackage.TripleCollection;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 
 /**
@@ -70,8 +74,6 @@
     //private Connection conn = null;
     private String parserName = null;
 
-    private MetaCatUtil util = new MetaCatUtil();
-
     private Logger logMetacat = Logger.getLogger(DBQuery.class);
 
     /** true if the metacat spatial option is installed **/
@@ -86,7 +88,18 @@
     private static Hashtable queryResultCache = new Hashtable();
     
     // Capacity of the query result cache
-    private static final int QUERYRESULTCACHESIZE = Integer.parseInt(MetaCatUtil.getOption("queryresult_cache_size"));
+    private static final int QUERYRESULTCACHESIZE;
+    static {
+    	int qryRsltCacheSize = 0;
+    	try {
+    		qryRsltCacheSize = Integer.parseInt(PropertyService.getProperty("queryresult_cache_size"));
+    	} catch (PropertyNotFoundException pnfe) {
+    		System.err.println("Could not get QUERYRESULTCACHESIZE property in static block: "
+					+ pnfe.getMessage());
+    	}
+    	QUERYRESULTCACHESIZE = qryRsltCacheSize;
+    }
+    
 
     // Size of page for non paged query
     private static final int NONPAGESIZE = 99999999;
@@ -124,7 +137,6 @@
                 double startTime = System.currentTimeMillis();
 
                 // Open a connection to the database
-                MetaCatUtil util = new MetaCatUtil();
                 //Connection dbconn = util.openDBConnection();
 
                 double connTime = System.currentTimeMillis();
@@ -197,9 +209,9 @@
      * @param parserName the fully qualified name of a Java class implementing
      *            the org.xml.sax.XMLReader interface
      */
-    public DBQuery()
+    public DBQuery() throws PropertyNotFoundException
     {
-        String parserName = MetaCatUtil.getOption("saxparser");
+        String parserName = PropertyService.getProperty("saxparser");
         this.parserName = parserName;
     }
 
@@ -218,11 +230,11 @@
      *
      * @param docids List of docids to display in the resultset
      */
-    public DBQuery(Vector docids)
+    public DBQuery(Vector docids) throws PropertyNotFoundException
     {
     	// since the query will be too long to be handled, so we divided the 
     	// docids vector into couple vectors.
-    	int size = (new Integer(MetaCatUtil.getOption("app_resultsetsize"))).intValue();
+    	int size = (new Integer(PropertyService.getProperty("app_resultsetsize"))).intValue();
     	logMetacat.info("The size of select doicds is "+docids.size());
     	logMetacat.info("The application result size in metacat.properties is "+size);
     	Vector subset = new Vector();
@@ -256,7 +268,7 @@
     		this.docidOverride.add(docids);
     	}
         
-        String parserName = MetaCatUtil.getOption("saxparser");
+        String parserName = PropertyService.getProperty("saxparser");
         this.parserName = parserName;
     }
 
@@ -272,9 +284,9 @@
   public void findDocuments(HttpServletResponse response,
                                        PrintWriter out, Hashtable params,
                                        String user, String[] groups,
-                                       String sessionid)
+                                       String sessionid) throws PropertyNotFoundException
   {
-    boolean useXMLIndex = (new Boolean(MetaCatUtil.getOption("usexmlindex")))
+    boolean useXMLIndex = (new Boolean(PropertyService.getProperty("usexmlindex")))
                .booleanValue();
     findDocuments(response, out, params, user, groups, sessionid, useXMLIndex);
 
@@ -335,7 +347,7 @@
          {
            qspec = new QuerySpecification(xmlquery,
                                           parserName,
-                                          MetaCatUtil.getOption("accNumSeparator"));
+                                          PropertyService.getProperty("accNumSeparator"));
          }
          catch (Exception ee)
          {
@@ -372,7 +384,7 @@
 
          // if the user is a moderator, then pass a param to the 
          // xsl specifying the fact
-         if(MetaCatUtil.isModerator(user, groups)){
+         if(LDAPUtil.isModerator(user, groups)){
         	 params.put("isModerator", new String[] {"true"});
          }
 
@@ -437,8 +449,8 @@
     StringBuffer resultset = new StringBuffer();
 
     //try to get the cached version first    
-    Hashtable sessionHash = MetaCatServlet.getSessionHash();
-    HttpSession sess = (HttpSession)sessionHash.get(sessionid);
+    // Hashtable sessionHash = MetaCatServlet.getSessionHash();
+    // HttpSession sess = (HttpSession)sessionHash.get(sessionid);
 
     
     resultset.append("<?xml version=\"1.0\"?>\n");
@@ -561,12 +573,12 @@
       {
         // for html page, we put everything into one page
         offset =
-            (new Integer(MetaCatUtil.getOption("web_resultsetsize"))).intValue();
+            (new Integer(PropertyService.getProperty("web_resultsetsize"))).intValue();
       }
       else
       {
           offset =
-              (new Integer(MetaCatUtil.getOption("app_resultsetsize"))).intValue();
+              (new Integer(PropertyService.getProperty("app_resultsetsize"))).intValue();
       }
 
       /*
@@ -613,7 +625,7 @@
       String selectionAndExtendedQuery = null;
       // we only get cache for public
       if (user != null && user.equalsIgnoreCase("public") 
-     		 && pagesize == 0 && MetaCatUtil.getOption("query_cache_on").equals("true"))
+     		 && pagesize == 0 && PropertyService.getProperty("query_cache_on").equals("true"))
       {
     	  selectionAndExtendedQuery = query +qspec.getReturnDocList()+qspec.getReturnFieldList();
    	      String cachedResult = getResultXMLFromCache(selectionAndExtendedQuery);
@@ -670,7 +682,7 @@
            document = new StringBuffer();
 
            String completeDocid = docid
-                            + MetaCatUtil.getOption("accNumSeparator");
+                            + PropertyService.getProperty("accNumSeparator");
            completeDocid += rev;
            document.append("<docid>").append(completeDocid).append("</docid>");
            if (docname != null)
@@ -768,7 +780,7 @@
      
      // now we only cached none-paged query and user is public
      if (user != null && user.equalsIgnoreCase("public") 
-    		 && pagesize == NONPAGESIZE && MetaCatUtil.getOption("query_cache_on").equals("true"))
+    		 && pagesize == NONPAGESIZE && PropertyService.getProperty("query_cache_on").equals("true"))
      {
        //System.out.println("the string stored into cache is "+ resultsetBuffer.toString());
   	   storeQueryResultIntoCache(selectionAndExtendedQuery, resultsetBuffer.toString());
@@ -796,8 +808,8 @@
      boolean enterRecords = false;
 
      // get value of xml_returnfield_count
-     int count = (new Integer(MetaCatUtil
-                            .getOption("xml_returnfield_count")))
+     int count = (new Integer(PropertyService
+                            .getProperty("xml_returnfield_count")))
                             .intValue();
 
      // set enterRecords to true if usage_count is more than the offset
@@ -864,8 +876,8 @@
      String key = null;
      String element = null;
      String query = null;
-     int offset = (new Integer(MetaCatUtil
-                               .getOption("queryresult_string_length")))
+     int offset = (new Integer(PropertyService
+                               .getProperty("queryresult_string_length")))
                                .intValue();
      while (keys.hasNext())
      {
@@ -1448,7 +1460,7 @@
      * @param params The list of parameters that should be included in the
      *            query
      */
-    public static String createSQuery(Hashtable params)
+    public static String createSQuery(Hashtable params) throws PropertyNotFoundException
     {
         StringBuffer query = new StringBuffer();
         Enumeration elements;
@@ -1580,8 +1592,8 @@
 
             // Also ignore parameters listed in the properties file
             // so that they can be passed through to stylesheets
-            String paramsToIgnore = MetaCatUtil
-                    .getOption("query.ignored.params");
+            String paramsToIgnore = PropertyService
+                    .getProperty("query.ignored.params");
             StringTokenizer st = new StringTokenizer(paramsToIgnore, ",");
             while (st.hasMoreTokens()) {
                 ignoredParams.add(st.nextToken());
@@ -1983,7 +1995,7 @@
                 }
 
                 String docidPlusVersion = ((String) docIdList.elementAt(i))
-                        + MetaCatUtil.getOption("accNumSeparator") + rev;
+                        + PropertyService.getProperty("accNumSeparator") + rev;
 
                 //create new documentImpl object
                 DocumentImpl documentImplObject = new DocumentImpl(
@@ -2071,7 +2083,7 @@
         byte[] byteString = null;
         ZipEntry zEntry = null;
         // this is data file; add file to zip
-        String filePath = MetaCatUtil.getOption("datafilepath");
+        String filePath = PropertyService.getProperty("application.datafilepath");
         if (!filePath.endsWith("/")) {
             filePath += "/";
         }
@@ -2260,8 +2272,8 @@
                 version = currentVersion;
                 //get package zip entry name
                 //it should be docId.revsion.package
-                rootName = packageId + MetaCatUtil.getOption("accNumSeparator")
-                        + version + MetaCatUtil.getOption("accNumSeparator")
+                rootName = packageId + PropertyService.getProperty("accNumSeparator")
+                        + version + PropertyService.getProperty("accNumSeparator")
                         + "package";
                 //get the whole id list for data packadge
                 docIdList = getCurrentDocidListForDataPackage(packageId);
@@ -2277,7 +2289,7 @@
             {
 
                 rootName = docIdString
-                        + MetaCatUtil.getOption("accNumSeparator") + "package";
+                        + PropertyService.getProperty("accNumSeparator") + "package";
                 //get the whole id list for data packadge
                 docIdList = getOldVersionDocidListForDataPackage(docIdString);
 
@@ -2325,7 +2337,7 @@
                             // Add String object to htmlDocumentImplList
                             String elementInHtmlList = remoteDoc
                                     .getDocIdWithoutRevsion()
-                                    + MetaCatUtil.getOption("accNumSeparator")
+                                    + PropertyService.getProperty("accNumSeparator")
                                     + remoteDoc.getRevision();
                             htmlDocumentImplList.add(elementInHtmlList);
                         }//if
Index: src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java	(revision 4080)
@@ -41,7 +41,12 @@
 import com.oreilly.servlet.multipart.MultipartParser;
 import com.oreilly.servlet.multipart.ParamPart;
 import com.oreilly.servlet.multipart.Part;
+
 import edu.ucsb.nceas.metacat.client.*;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.service.ServiceException;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
+import edu.ucsb.nceas.utilities.GeneralPropertyException;
 import edu.ucsb.nceas.utilities.IOUtil;
 
 /**
@@ -175,51 +180,51 @@
 
   }
 
-
   /**
-   * Initializes the servlet. Reads properties and initializes object fields.
-   * 
-   * @throws ServletException
-   */
-  public void init(ServletConfig config) throws ServletException {
-    String contextString;
-    String dirPath;
-    String httpserver;
-    Options options = null;
+	 * Initializes the servlet. Reads properties and initializes object fields.
+	 * 
+	 * @throws ServletException
+	 */
+	public void init(ServletConfig config) throws ServletException {
+		String dirPath;
 
-    super.init(config);
-    this.config = config;
-    this.context = config.getServletContext();
-    dirPath = context.getRealPath(CONFIG_DIR);
-    File propertyFile = new File(dirPath, CONFIG_NAME);
-    
-    try {
-      options = Options.initialize(propertyFile);
-    }
-    catch (IOException e) {
-      System.out.println("Error in loading options: " + e.getMessage());
-    }
-    
-    httpserver = options.getOption("httpserver");
-    contextString = options.getOption("context");
-    metacatURL = httpserver + "/" + contextString + "/servlet/metacat";
-    System.out.println("metacatURL: " + metacatURL);
-  }
+		super.init(config);
+		this.config = config;
+		this.context = config.getServletContext();
+		dirPath = context.getRealPath(CONFIG_DIR);
+		File propertyFile = new File(dirPath, CONFIG_NAME);
 
+		try {
+			PropertyService.getInstance(this.context);
+			metacatURL = SystemUtil.getServletURL();
+		} catch (ServiceException se) {
+			System.out.println("Service problem while initializing MetUpload: " + se.getMessage());
+		} catch (GeneralPropertyException gpe) {
+			System.out.println("Error initializing properties utility: " + gpe.getMessage());
+		}
 
+		System.out.println("metacatURL: " + metacatURL);
+	}
+
+
   /**
-   * Uploads a file to Metacat for insertion or updating. This implementation
-   * is limited by the fact that all ".1" documents are inserted while all
-   * other revisions are updated. This logic can be improved after the Metacat
-   * interface is extended with additional methods to query information about
-   * revisions, for example, hasDocument() and highestRevision().
-   * 
-   * @param out        the PrintWriter output stream
-   * @param docid      the docid, e.g. "document.1.1"
-   * @param sr         the StringReader containing the contents of the document
-   * @param username   the Metacat username
-   * @param password   the Metacat password
-   */
+	 * Uploads a file to Metacat for insertion or updating. This implementation
+	 * is limited by the fact that all ".1" documents are inserted while all
+	 * other revisions are updated. This logic can be improved after the Metacat
+	 * interface is extended with additional methods to query information about
+	 * revisions, for example, hasDocument() and highestRevision().
+	 * 
+	 * @param out
+	 *            the PrintWriter output stream
+	 * @param docid
+	 *            the docid, e.g. "document.1.1"
+	 * @param sr
+	 *            the StringReader containing the contents of the document
+	 * @param username
+	 *            the Metacat username
+	 * @param password
+	 *            the Metacat password
+	 */
   private void upload(PrintWriter out, 
                       String docid,
                       StringReader sr,
Index: src/edu/ucsb/nceas/metacat/QueryTerm.java
===================================================================
--- src/edu/ucsb/nceas/metacat/QueryTerm.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/QueryTerm.java	(revision 4080)
@@ -32,6 +32,8 @@
 import java.util.Vector;
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+
 /** a utility class that represents a single term in a query */
 public class QueryTerm
 {
